You are not logged in.

#1 2018-05-13 13:25:41

Morn
Member
Registered: 2012-09-02
Posts: 503

[SOLVED] Audacity does not work with ffmpeg 4.0

Audacity looks for libavformat.so.57, but ffmpeg 4.0 contains libavformat.so.58.

Last edited by Morn (2018-05-15 06:31:53)

Offline

#2 2018-05-13 13:47:01

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 7,916
Website

Re: [SOLVED] Audacity does not work with ffmpeg 4.0

Please post the output of

lddtree /usr/bin/audacity

EDIT: You'll need to install pax-utils for the lddtree binary.

Last edited by WorMzy (2018-05-13 13:47:48)


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#3 2018-05-13 13:51:06

Morn
Member
Registered: 2012-09-02
Posts: 503

Re: [SOLVED] Audacity does not work with ffmpeg 4.0

I have already rebuilt audacity 2.2.2 against ffmpeg 4.0, now it works again. I guess this rebuild needs to happen for the official repo too. Should I file a bug report?

Offline

#4 2018-05-13 14:15:13

ooo
Member
Registered: 2013-04-10
Posts: 1,448

Re: [SOLVED] Audacity does not work with ffmpeg 4.0

WorMzy wrote:

Please post the output of

lddtree /usr/bin/audacity

libavformat.so.* is not listed in lddtree output. It's location has to be set in Audacity's preferences, and it is looking for libavformat.so.57 specifically.

Simply selecting the libavformat.so.58 in preferences doesn't work either, so I think recompile is necessary.

You should file a bug, or I can do it later when I have more time.

Offline

#5 2018-05-13 14:21:07

Morn
Member
Registered: 2012-09-02
Posts: 503

Re: [SOLVED] Audacity does not work with ffmpeg 4.0

I filed a bug report, but there was already another one. Oops. I do not see a way to edit or remove my bug report though. Oh well.

Offline

#6 2018-05-13 14:51:25

ooo
Member
Registered: 2013-04-10
Posts: 1,448

Re: [SOLVED] Audacity does not work with ffmpeg 4.0

It happens. In such cases I think you could simply request closure.
Here's the open issue for anyone interested: https://bugs.archlinux.org/task/58577

Offline

Board footer

Powered by FluxBB